﻿

.top-content {
    height: 1000px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #ddd;
    font-size: 24px;
}

.image-section {
    padding: 40px;
    text-align: center;
}

.img-box {
    /*width: 300px;
        height: 200px;
        margin: 15px auto;*/
    position: relative;
    overflow: hidden;
    border-radius: 10px;
     background: #eee;
}

    /* ✅ Apply shimmer ONLY for lazy images */
    .img-box.lazy::before {
        content: "";
        position: absolute;
        top: 0;
        left: -150px;
        width: 150px;
        height: 100%;
        background: linear-gradient( 90deg, rgba(255,255,255,0) 0%, rgba(255,255,255,0.6) 50%, rgba(255,255,255,0) 100% );
        animation: shimmer 1.2s infinite;
    }

@keyframes shimmer {
    0% {
        left: -150px;
    }

    100% {
        left: 100%;
    }
}

img {
    /* width: 100%;
        height: 100%;*/
    object-fit: cover;
    opacity: 1; /* default visible */
    transition: opacity 0.5s ease;
}

    /* Lazy images start hidden */
    img.lazy-img {
        opacity: 0;
    }

    /* When loaded */
    img.loaded {
        opacity: 1;
    }

/* Remove shimmer after load */
.img-box.loaded::before {
    display: none;
}



